Documentation on System.Drawing

I m creating a script where for setting up the layer struture that i would like to have.
Using as starting point from python documentation for Addlayer command there is the following example:

import rhinoscriptsyntax as rs
from System.Drawing import Color
print "New layer:", rs.AddLayer()
print "New layer:", rs.AddLayer("MyLayer1")
print "New layer:", rs.AddLayer("MyLayer2", Color.DarkSeaGreen)
print "New layer:", rs.AddLayer("MyLayer3", Color.Cornsilk)
print "New layer:", rs.AddLayer("MyLayer4",parent="MyLayer3")

I would like to undertand what are the available options for adding color in the inserted layers.
Does anyone know where to look for the documentation of the above?

Thanks in advance

1 Like

And if you want a custom color, you can use

System.Drawing.ColorFromArgb()

In V7, if Iā€™m not mistaken, you can use the A (transparency) channel to create layer colors with transparency.

2 Likes